# ProxySettings - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.settings / ProxySettings

# ProxySettings

(common) `data class ProxySettings` (source)

### Constructors

(common)

#### <init>

`ProxySettings(host: String = "localhost", port: Int = 1080, username: String? = null, password: String? = null)`

### Properties

(common)

#### host

`val host: String`

(common)

#### password

`val password: String?`

(common)

#### port

`val port: Int`

(common)

#### username

`val username: String?`